# wxPageSetupDialog Class Reference
[Printing Framework]

`#include <wx/printdlg.h>`

Inheritance diagram for wxPageSetupDialog:
[legend]

## Detailed Description

This class represents the page setup common dialog.

The page setup dialog contains controls for paper size (letter, A4, A5 etc.), orientation (landscape or portrait), and, only under Windows currently, controls for setting left, top, right and bottom margin sizes in millimetres.

The exact appearance of this dialog varies among the platforms as a native dialog is used when available (currently the case for all major platforms).

When the dialog has been closed, you need to query the wxPageSetupDialogData object associated with the dialog.

Note that the OK and Cancel buttons do not destroy the dialog; this must be done by the application.

##

Library: wxCore

Category: Printing Framework

See also:
  Printing Framework Overview, wxPrintDialog, wxPageSetupDialogData

## Public Member Functions
| wxPageSetupDialog (wxWindow *parent, wxPageSetupDialogData *data=NULL)
| Constructor.
virtual | ~wxPageSetupDialog ()
| Destructor.
wxPageSetupDialogData & | GetPageSetupData ()
| Returns the wxPageSetupDialogData object associated with the dialog.
int | ShowModal ()
| Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.

List of all members.

## Constructor & Destructor Documentation

wxPageSetupDialog::wxPageSetupDialog | ( | wxWindow * | parent,
|  | wxPageSetupDialogData * | data = `NULL` |
| ) |  |  |

Constructor.

Pass a parent window, and optionally a pointer to a block of page setup data, which will be copied to the print dialog's internal data.

virtual wxPageSetupDialog::~wxPageSetupDialog | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

wxPageSetupDialogData& wxPageSetupDialog::GetPageSetupData | ( |  | ) |

Returns the wxPageSetupDialogData object associated with the dialog.

int wxPageSetupDialog::ShowModal | ( |  | ) | `[virtual]`

Shows the dialog, returning `wxID_OK` if the user pressed OK, and `wxID_CANCEL` otherwise.

Reimplemented from wxDialog.

|  | [ top ]